package com.xiaoyue.tinkers_ingenuity.loot;

package ..deTemp.1741077742537;

import com.google.gson.JsonObject;
import com.xiaoyue.tinkers_ingenuity.loot.AddItemModifier;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.util.GsonHelper;
import net.minecraft.world.level.storage.loot.predicates.LootItemCondition;
import net.minecraftforge.common.loot.GlobalLootModifierSerializer;
import net.minecraftforge.common.loot.IGlobalLootModifier;

public class Serializer extends GlobalLootModifierSerializer<AddItemModifier> {
  public AddItemModifier read(ResourceLocation location, JsonObject object, LootItemCondition[] conditions) {
    ResourceLocation lootTable = new ResourceLocation(GsonHelper.m_13906_(object, "lootTable"));
    return new AddItemModifier(conditions, lootTable);
  }
  
  public JsonObject write(AddItemModifier instance) {
    JsonObject object = makeConditions(AddItemModifier.access$000(instance));
    object.addProperty("lootTable", instance.lootTable.toString());
    return object;
  }
}
